/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 2; tab-width: 2 -*- */
/*
 * macro.h
 * Copyright (C) 2006-2013 Askele inc. <http://askele.com>
 *
 * libtdata is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * libtdata is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#ifndef __MACRO_H__
#define __MACRO_H__

/*this macros just for better source code look and feel*/

#define left usrtc_left
#define right usrtc_right
#define parent usrtc_parent
#define next usrtc_right
#define prev usrtc_left
#define data usrtc_data
#define key usrtc_node_key
#define rb_color usrtc_rb_color
#define impl_specific usrtc_impldata

#define futable usrtc_futable
#define nodecount usrtc_nodecount
#define maxcount usrtc_maxcount
#define dupes_allowed usrtc_dupes_allowed
#define sentinel usrtc_sentinel
#define compare usrtc_compare
#define node_alloc usrtc_node_alloc
#define node_free usrtc_node_free
#define context usrtc_context

#endif /*__MACRO_H__*/
